Codigo fuente del Proyecto Colibri
Python JavaScript HTML CSS
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
alerts
colibri
commission
dataminers
initiatives
main
member
parliamentarygroup
scrap
stats
tastypie_swagger
term
vote
.gitignore
.travis.yml
README.md
colibri_models.png
manage.py
requirements.txt
requirements_debug.txt
requirements_deploy.txt
requirements_dev.txt
requirements_test.txt
scrapy.cfg

README.md

Proyecto Colibrí

Build Status

Installing requirements

These instructions have been tested with Ubuntu 12.04.

Install required packages, including pip for managing dependencies:

$> apt-get install python-dev python-setuptools python-pip libffi-dev libssl-dev

$> apt-get install libgraphviz-dev

Install the listed requirements with:

$> pip install -r requirements.txt

If you don't plan to use posgresql, feel free to edit requirements.txt and delete the line:

  • psycopg2==2.5

Run the project locally

Create the db:

$> python manage.py syncdb

Run the migration scripts:

$> python manage.py migrate

Add initial data:

$> python manage.py loaddata term/fixtures/initial.json

Get the data:

$> scrapy crawl members

$> scrapy crawl votes

$> scrapy crawl initiatives

Run the server:

$> python manage.py runserver 8080

Now browse http://localhost:8080 and you should find the colibri homepage :-)

Contribute

Feel free to contribute with the project.